petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSCreate

This function creates an empty timestepper. The problem type can then be set with TSSetProblemType() and the type of solver can then be set with TSSetType().

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSCreate(MPI_Comm comm, TS *ts)

Collective on MPI_Comm Many br

### Input Parameter

comm -The communicator Many br

### Output Parameter

ts -The TS Many br

Many br

### Keywords

TS, create

### See Also

TSSetType(), TSSetUp(), TSDestroy(), TSSetProblemType()

Level:beginner
Location:src/ts/interface/tscreate.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex2.c.html
src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex6.c.html
src/ts/examples/tutorials/ex7.c.html
src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex10.c.html
src/ts/examples/tutorials/ex11.c.html